Requirements
- API key pair
- Finances for PoA COMPARE type
AI POA Verification
Authorization:
API key pair
Method: POST
Endpoint: https://ivs.idenfy.com/api/v2/poa-checks/Request Structure
| Key | Required | Type | Explanation |
|---|---|---|---|
file | Yes | String | Base64 encoded document file. Supported formats: jpeg, jpg, png, gif, webp, heic, heif, pdf. |
providedName | No | String | Full name of the user. Will be compared against the data retrieved from the PoA document. |
providedAddress | No | String | Address for verification. Will be compared against the data retrieved from the PoA document. |
Response Structure
| Key | Type | Explanation |
|---|---|---|
id | String | PoA check identifier. |
created | String | Timestamp indicating when the PoA check was created. |
updated | String | Timestamp indicating when the PoA check was last updated. |
issueDate | String | Issue date retrieved from the Proof of Address document. |
documentType | String | Type of document. Possible values: UTILITY_BILL, BANK_STATEMENT, GOVERNMENT_LETTER, LEASE_AGREEMENT. |
hasLogo | Boolean | true if the document contains a company or provider logo; otherwise false. |
nameMatch | Boolean | true if the provided name matches the one on the document; otherwise false. |
addressMatch | Boolean | true if the provided address matches the one on the document; otherwise false. |
dateValid | Boolean | true if the document is not older than 3 months; otherwise false. |
overallStatus | String | Overall result of the comparison. Possible values: MATCH, NO_MATCH, NOT_COMPARED. |
name | String | Full name retrieved from the PoA document. |
address | String | Full address retrieved from the PoA document. |
partner | Object | Object containing partner environment-related information. |
fileType | String | File type of the uploaded document. Possible values: PDF, JPG, PNG. |
providedName | String | Name value that was provided when the check was initiated. |
providedAddress | String | Address value that was provided when the check was initiated. |
file | String | URL to download the uploaded file. |
Request Example
{
"file": "iVBORw0KGgoAAAANSUhEUgAAAxoAAAC6CAYAAAApyZWVuc2hvdO8Dvz4AAAA[...]",
"providedName": "John Smith",
"providedAddress": "4344 Poco Mas Drive, Dallas, FL, 33009"
}
Response Example
{
"id": "aa4e1453-abc0-4649-84ab-d6a65984329b",
"created": "2024-10-21T06:10:31.559212Z",
"updated": "2024-10-21T06:10:31.559246Z",
"issueDate": "2021-11-15",
"documentType": "Electricity bill",
"hasLogo": true,
"nameMatch": false,
"addressMatch": true,
"dateValid": false,
"overallStatus": "NO_MATCH",
"name": "Leslie Holden",
"address": "4344 Poco Mas Drive Dallas, FL, 33009",
"partner": {
"id": 2253,
"created": "2023-10-11T14:09:40.458303Z",
"companyName": "iDenfy Techsupport TEST",
"environment": "TESTING",
"isActive": true
},
"fileType": "png",
"providedName": "John Smith",
"providedAddress": "4344 Poco Mas Drive, Dallas, FL, 33009",
"file": "https://s3.eu-west-1.amazonaws.com/[...]"
}